Update a team
curl --request PUT \
--url https://api.select.dev/api/{organization_id}/teams/{team_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"default_member_role": "editor"
}
'import requests
url = "https://api.select.dev/api/{organization_id}/teams/{team_id}"
payload = {
"name": "<string>",
"default_member_role": "editor"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', default_member_role: 'editor'})
};
fetch('https://api.select.dev/api/{organization_id}/teams/{team_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"is_all_users": true,
"default_member_role": "admin",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}teams
Update a team
deprecated
Update an existing team’s information. Currently only the team name can be updated.
PUT
/
api
/
{organization_id}
/
teams
/
{team_id}
Update a team
This v1 endpoint is deprecated and will be removed in the coming weeks. Use
PATCH /teams/{team_id} in the
v2 API instead. Note that the v2 equivalent is a
PATCH, not a PUT.Authorizations
HTTPBearerHTTPBearer
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful Response
Basic team information returned by public API.
The unique identifier of the team
The name of the team
Whether this is the special 'all users' team that automatically includes all organization members
Default role assigned to new members when they are added to the team
Available options:
admin, editor, viewer When the team was created
When the team was last updated

